#!/usr/bin/bash

# RPM posttrans script, no arguments
# Note: Also called from Debian cloudlinux-linksafe.postinst scriptlet
# Arguments:
# $2 - solo_marker - /etc/cloudlinux-edition-solo

# "cloudlinux-linksafe POST TRANS STARTED"

SOLO_MARKER="$2"
CONTAINER_MARKER="$3"

if [ -f "$SOLO_MARKER" ] || [ -f "$CONTAINER_MARKER" ]; then
    exit 0
fi
/usr/bin/cl-linksafe-reconfigure
if [[ "$1" == 1 || "$1" == "configure" ]]; then
    sed -i '/fs.protected_hardlinks/d' /etc/sysctl.conf
    sed -i '/fs.protected_symlinks/d' /etc/sysctl.conf
    sed -i '/# SecureLinks Link Traversal/d' /etc/sysctl.conf
fi

# "cloudlinux-linksafe POST TRANS FINISHED"
